LogoThreatmatic

Get Session

GET
/get-session

Get the current session

Authorization

bearerAuth
AuthorizationBearer <token>

Bearer token authentication

In: header

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://console.threatmatic.ai/api/auth/get-session"
{
  "session": {
    "id": "string",
    "expiresAt": "2019-08-24T14:15:22Z",
    "token": "string",
    "createdAt": "Generated at runtime",
    "updatedAt": "2019-08-24T14:15:22Z",
    "ipAddress": "string",
    "userAgent": "string",
    "userId": "string",
    "activeOrganizationId": "string",
    "activeTeamId": "string",
    "impersonatedBy": "string"
  },
  "user": {
    "id": "string",
    "name": "string",
    "email": "string",
    "emailVerified": false,
    "image": "string",
    "createdAt": "Generated at runtime",
    "updatedAt": "Generated at runtime",
    "lastLoginMethod": "string",
    "stripeCustomerId": "string",
    "role": "string",
    "banned": false,
    "banReason": "string",
    "banExpires": "2019-08-24T14:15:22Z",
    "lang": "en"
  }
}
{
  "message": "string"
}
{
  "message": "string"
}
{
  "message": "string"
}
{
  "message": "string"
}
{
  "message": "string"
}
{
  "message": "string"
}